Xfce Forum

Sub domains
 

You are not logged in.

#1 2013-12-01 22:03:22

taoleo
Member
Registered: 2011-11-25
Posts: 29

[SOLVED] AVLinix and xfce4

Hi,
I am using AVLinux a multimedia distro bulit on Debian Squeeze. By default it comes with LXDE and openbox with dual monitors.
I have install xfce-4.6.2 however in Settings >Display only one monitor is recognized.
In this link http://www.webupd8.org/2012/11/how-to-u … buntu.html it is suggested that I add;

sudo add-apt-repository ppa:xubuntu-dev/xfce-4.12
sudo apt-get update
sudo apt-get dist-upgrade

I didn't know if it would work however I tried it anyway and this was the return

bash: add-apt-repository: command not found

Can anyone suggest a way to get Settings >Display to recognize dual monitors?

Last edited by taoleo (2013-12-02 05:11:07)

Offline

#2 2013-12-01 23:33:07

MountainDewManiac
Member
From: USA police-state welfare-state
Registered: 2013-03-24
Posts: 248

Re: [SOLVED] AVLinix and xfce4

I have been told that adding PPAs - which are for Ubuntu-based distros - to the sources list of a Debian-based distro is generally a bad idea. (This may be untrue; IDK.)

You can add a repository to your sources list manually.

IIRC, the command add-apt-repository is in python-software-properties. So you could try:

sudo apt-get install python-software-properties

BtW, I didn't know any current distros were using XFCE 4.6.2. Even Debian Old (Stable) is up to 4.8, I believe. You might (just guessing) have some issues in the future where the things you try to add to your system are assuming - rather, the people that make them available might be assuming - that you have a newer version of XFCE. One hopes not, but it's something to consider (IMO).

IIRC, recent versions of XFCE seem to handle dual monitors better both in mirrored-desktop and extended-desktop modes.

Oh, and - again, I am not positive it is true - I have been told that one must add the XFCE 4.10 PPA before adding the 4.12 one.

Regards,
MDM

EDIT: According to this webpage

https://bugzilla.redhat.com/show_bug.cgi?id=525486

the issue, "Xfce Display settings don't support Multi-monitor configuration," was fixed in libxfce4util-4.6.2-1.fc13. IDK if there have been other issues in the time since that thread was active (it's quite old, last closed in December of 2010). Then again, that bug report is dealing with XFCE 4.6.2, so you may find some benefit in attempting to update your libxfce4util to this version. Best of luck to you. And it's good to see another new XFCE user!

Last edited by MountainDewManiac (2013-12-01 23:37:17)

Offline

#3 2013-12-02 05:10:40

taoleo
Member
Registered: 2011-11-25
Posts: 29

Re: [SOLVED] AVLinix and xfce4

Thanks MountainDewManiac,
I tried that and it worked.

Offline

Board footer

Powered by FluxBB